mscorlib 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.Guid("00000010-0000-0000-c000-000000000046") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown)

You can retrieve an interface to the running object table by calling the COM GetRunningObjectTable function.

For more information, see the documentation for the COM IRunningObjectTable interface in the MSDN library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Provides the managed definition of the IRunningObjectTable interface.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  For more information, see the documentation for the IRunningObjectTable::IsRunning method in the MSDN library.

  Determines whether the specified moniker is currently registered in the Running Object Table (ROT).

  An HRESULT value that indicates the success or failure of the operation.

  A reference to the moniker to search for in the Running Object Table (ROT).
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` ``

  ROT references to (weak and strong) determine object lifetime. For more information, see the documentation for the COM IRunningObjectTable::Register method in the MSDN library.

  Registers that the supplied object has entered the running state.

  A value that can be used to identify this ROT entry in subsequent calls to or .

  Specifies whether the Running Object Table's (ROT) reference to is weak or strong, and controls access to the object through its entry in the ROT. A reference to the object being registered as running. A reference to the moniker that identifies .
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  For more information, see the documentation for the IRunningObjectTable::Revoke method in the MSDN library.

  Unregisters the specified object from the Running Object Table (ROT).

  An HRESULT value that indicates the success or failure of the operation.

  The Running Object Table (ROT) entry to revoke.